Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0022864
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 04. Warehouse managementmajoralways2013-01-23 10:052013-01-31 16:22
ReporterVictorVillarView Statuspublic 
Assigned Tojonalegriaesarte 
PriorityurgentResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision7814d070ffe3
ProjectionnoneETAnoneTarget Version3.0MP20
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionpiSCM revision 
Review Assigned ToVictorVillar
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0022864: Wrong bracket on existsTransactions function in CostingRuleProcess.java

DescriptionWrong bracket on existsTransactions function in CostingRuleProcess.java
besides =p

where.append(" where " + MaterialTransaction.PROPERTY_PRODUCT + " = p)");
it should be moved to the next line as follows:

where.append(" and " + MaterialTransaction.PROPERTY_ORGANIZATION + " .id in (:childOrgs))");
Steps To ReproduceWrong bracket on existsTransactions function in CostingRuleProcess.java
besides =p

where.append(" where " + MaterialTransaction.PROPERTY_PRODUCT + " = p)");
it should be moved to the next line as follows:

where.append(" and " + MaterialTransaction.PROPERTY_ORGANIZATION + " .id in (:childOrgs))");
Proposed SolutionPlease see the diff attached
TagsNo tags attached.
Attached Filesdiff file icon diffcostingrule.diff [^] (1,006 bytes) 2013-01-23 10:05 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0055807)
hgbot (developer)
2013-01-24 12:09

Repository: erp/devel/pi
Changeset: 7814d070ffe372b303caadd46c0951985f462ac6
Author: Jon Alegría <jon.alegria <at> openbravo.com>
Date: Thu Jan 24 12:08:50 2013 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/7814d070ffe372b303caadd46c0951985f462ac6 [^]

Fixes issue 0022864: Wrong bracket on existsTransactions function in
CostingRuleProcess.java

---
M src/org/openbravo/costing/CostingRuleProcess.java
---
(0055827)
hudsonbot (developer)
2013-01-24 21:41

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/fbbe21bdfeff [^]

Maturity status: Test
(0056018)
VictorVillar (developer)
2013-01-31 16:22

Verified

- Issue History
Date Modified Username Field Change
2013-01-23 10:05 VictorVillar New Issue
2013-01-23 10:05 VictorVillar Assigned To => dmiguelez
2013-01-23 10:05 VictorVillar File Added: diffcostingrule.diff
2013-01-23 10:05 VictorVillar Modules => Core
2013-01-23 10:05 VictorVillar Triggers an Emergency Pack => No
2013-01-23 10:05 VictorVillar Issue Monitored: networkb
2013-01-23 11:38 dmiguelez Assigned To dmiguelez => jonalegriaesarte
2013-01-24 12:09 hgbot Checkin
2013-01-24 12:09 hgbot Note Added: 0055807
2013-01-24 12:09 hgbot Status new => resolved
2013-01-24 12:09 hgbot Resolution open => fixed
2013-01-24 12:09 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/7814d070ffe372b303caadd46c0951985f462ac6 [^]
2013-01-24 21:41 hudsonbot Checkin
2013-01-24 21:41 hudsonbot Note Added: 0055827
2013-01-31 16:22 VictorVillar Review Assigned To => VictorVillar
2013-01-31 16:22 VictorVillar Note Added: 0056018
2013-01-31 16:22 VictorVillar Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker